AWS Cloud Connectivity - Private Self Made - Remplacer (PUT)
Cette page d?crit l'op?ration Remplacer (PUT) de l'API AWS Cloud Connectivity. Utilisez un jeton JWT bearer valide.
PUT https://ope-obs.apibackbone.orange.com/evolutionplatform/aws/api/v1/projects/{projectId}/aws/cloudconnectors/privates/{id}
Authorization: Bearer YOUR_ACCESS_TOKEN
Param?tres
| Param?tre | Emplacement | Obligatoire | Type / valeur par d?faut |
|---|---|---|---|
id | path | Yes | string uuid |
projectId | path | Yes | string uuid |
Corps de la requ?te
| Champ JSON | Obligatoire | Type / remarques |
|---|---|---|
name | Yes | string: cloud connector name |
state | Yes | string (DESIGNING, DESIGNED, BOOKING, RESERVED, PROVISIONING, ACTIVE, STOPPING, SUSPENDING, INACTIVE, REPAIRING, TERMINATED, ERROR): cloud connector state |
bandwidth | Yes | integer int32: cloud connector bandwidth |
maxBandwidth | No | integer int32: cloud connector maximum bandwidth |
technicalVpnId | Yes | string uuid: network connector uuid associated with the cloud connector |
awsCredentialId | Yes | string uuid: aws credential uuid to be used to manage the cloud connector on aws |
virtualInterfaceType | Yes | string (privateVif, transitVif): cloud connector virtual interface type |
location | Yes | string: cloud connector location |
region | No | string: cloud connector region |
customerGatewayId | Yes | string: customer gateway id |
routingPolicy | No | string (basicAggregate, defaultRoute, noAggregate): cloud connector routing policy |
R?ponse
R?ponse de succ?s : 200. ok Response schema: object.